package weaver.formmode.recruit.customsearch;

import weaver.formmode.customjavacode.AbstractCustomSqlConditionJavaCode;
import weaver.general.Util;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/10/19
 * @version: 1.0
 */
    public class StepMsgSearchTemplate extends AbstractCustomSqlConditionJavaCode {
    @Override
    public String generateSqlCondition(Map<String, Object> param) {

        String isfromTab = Util.null2String(param.get("isfromTab"));
        String istabinline = Util.null2String(param.get("istabinline"));
        // 只展示启用的数据
        String whereSql = " zpzw is null ";
        if ("1".equals(isfromTab) && "1".equals(istabinline)) {
            whereSql = "";
        }
        return whereSql;
    }

}
